import { EExchangeType, IDirectExchangeParams, IFanOutExchangeParams, ITopicExchangeParams, TMessageJSON, TMessageState, TTopicParams } from 'redis-smq/dist/types';
import { MessageQueueDTO } from './message-queue.DTO';
export declare class MessageStateDTO implements TMessageState {
    uuid: string;
    publishedAt: number | null;
    scheduledAt: number | null;
    scheduledCronFired: boolean;
    scheduledRepeatCount: number;
    attempts: number;
    nextScheduledDelay: number;
    nextRetryDelay: number;
    expired: boolean;
}
export declare class MessageTopicExchangeBindingParamsDTO implements TTopicParams {
    topic: string;
    ns: string;
}
export declare class MessageTopicExchangeDTO implements ITopicExchangeParams {
    type: EExchangeType.TOPIC;
    destinationQueue: MessageQueueDTO | null;
    bindingParams: MessageTopicExchangeBindingParamsDTO | string;
    exchangeTag: string;
}
export declare class MessageFanOutExchangeDTO implements IFanOutExchangeParams {
    type: EExchangeType.FANOUT;
    destinationQueue: MessageQueueDTO | null;
    bindingParams: string;
    exchangeTag: string;
}
export declare class MessageDirectExchangeDTO implements IDirectExchangeParams {
    type: EExchangeType.DIRECT;
    destinationQueue: MessageQueueDTO | null;
    bindingParams: MessageQueueDTO | string;
    exchangeTag: string;
}
export declare class MessageDTO implements TMessageJSON {
    createdAt: number;
    ttl: number;
    retryThreshold: number;
    retryDelay: number;
    consumeTimeout: number;
    body: unknown;
    scheduledCron: string | null;
    scheduledDelay: number | null;
    scheduledRepeatPeriod: number | null;
    scheduledRepeat: number;
    priority: number | null;
    queue: MessageQueueDTO | string | null;
    messageState: MessageStateDTO | null;
    exchange: MessageDirectExchangeDTO | MessageFanOutExchangeDTO | MessageTopicExchangeDTO | null;
}
