"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageDTO = exports.MessageDirectExchangeDTO = exports.MessageFanOutExchangeDTO = exports.MessageTopicExchangeDTO = exports.MessageTopicExchangeBindingParamsDTO = exports.MessageStateDTO = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const types_1 = require("redis-smq/dist/types");
const message_queue_validator_1 = require("../../validators/message-queue.validator");
const message_topic_exchange_validator_1 = require("../../validators/message-topic-exchange.validator");
const message_queue_DTO_1 = require("./message-queue.DTO");
class MessageStateDTO {
    constructor() {
        this.publishedAt = null;
        this.scheduledAt = null;
    }
}
__decorate([
    (0, class_validator_1.IsUUID)('4'),
    __metadata("design:type", String)
], MessageStateDTO.prototype, "uuid", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageStateDTO.prototype, "publishedAt", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageStateDTO.prototype, "scheduledAt", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], MessageStateDTO.prototype, "scheduledCronFired", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageStateDTO.prototype, "scheduledRepeatCount", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageStateDTO.prototype, "attempts", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageStateDTO.prototype, "nextScheduledDelay", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageStateDTO.prototype, "nextRetryDelay", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], MessageStateDTO.prototype, "expired", void 0);
exports.MessageStateDTO = MessageStateDTO;
class MessageTopicExchangeBindingParamsDTO {
}
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], MessageTopicExchangeBindingParamsDTO.prototype, "topic", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], MessageTopicExchangeBindingParamsDTO.prototype, "ns", void 0);
exports.MessageTopicExchangeBindingParamsDTO = MessageTopicExchangeBindingParamsDTO;
class MessageTopicExchangeDTO {
    constructor() {
        this.destinationQueue = null;
    }
}
__decorate([
    (0, class_validator_1.Equals)(types_1.EExchangeType.TOPIC),
    __metadata("design:type", Number)
], MessageTopicExchangeDTO.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => message_queue_DTO_1.MessageQueueDTO),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageTopicExchangeDTO.prototype, "destinationQueue", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.Validate)(message_topic_exchange_validator_1.MessageTopicExchangeValidator),
    __metadata("design:type", Object)
], MessageTopicExchangeDTO.prototype, "bindingParams", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], MessageTopicExchangeDTO.prototype, "exchangeTag", void 0);
exports.MessageTopicExchangeDTO = MessageTopicExchangeDTO;
class MessageFanOutExchangeDTO {
    constructor() {
        this.destinationQueue = null;
    }
}
__decorate([
    (0, class_validator_1.Equals)(types_1.EExchangeType.FANOUT),
    __metadata("design:type", Number)
], MessageFanOutExchangeDTO.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => message_queue_DTO_1.MessageQueueDTO),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageFanOutExchangeDTO.prototype, "destinationQueue", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], MessageFanOutExchangeDTO.prototype, "bindingParams", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], MessageFanOutExchangeDTO.prototype, "exchangeTag", void 0);
exports.MessageFanOutExchangeDTO = MessageFanOutExchangeDTO;
class MessageDirectExchangeDTO {
    constructor() {
        this.destinationQueue = null;
    }
}
__decorate([
    (0, class_validator_1.Equals)(types_1.EExchangeType.DIRECT),
    __metadata("design:type", Number)
], MessageDirectExchangeDTO.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => message_queue_DTO_1.MessageQueueDTO),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDirectExchangeDTO.prototype, "destinationQueue", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.Validate)(message_queue_validator_1.MessageQueueValidator),
    __metadata("design:type", Object)
], MessageDirectExchangeDTO.prototype, "bindingParams", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], MessageDirectExchangeDTO.prototype, "exchangeTag", void 0);
exports.MessageDirectExchangeDTO = MessageDirectExchangeDTO;
class MessageDTO {
    constructor() {
        this.body = null;
        this.scheduledCron = null;
        this.scheduledDelay = null;
        this.scheduledRepeatPeriod = null;
        this.priority = null;
        this.queue = null;
        this.messageState = null;
        this.exchange = null;
    }
}
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageDTO.prototype, "createdAt", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageDTO.prototype, "ttl", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageDTO.prototype, "retryThreshold", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageDTO.prototype, "retryDelay", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageDTO.prototype, "consumeTimeout", void 0);
__decorate([
    (0, class_validator_1.Allow)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "body", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "scheduledCron", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "scheduledDelay", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "scheduledRepeatPeriod", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    __metadata("design:type", Number)
], MessageDTO.prototype, "scheduledRepeat", void 0);
__decorate([
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "priority", void 0);
__decorate([
    (0, class_validator_1.Validate)(message_queue_validator_1.MessageQueueValidator),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "queue", void 0);
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => MessageStateDTO),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "messageState", void 0);
__decorate([
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)((o) => {
        if (o && o.object.exchange) {
            const type = o.object.exchange.type;
            if (type === types_1.EExchangeType.FANOUT)
                return MessageFanOutExchangeDTO;
            if (type === types_1.EExchangeType.TOPIC)
                return MessageTopicExchangeDTO;
        }
        return MessageDirectExchangeDTO;
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], MessageDTO.prototype, "exchange", void 0);
exports.MessageDTO = MessageDTO;
//# sourceMappingURL=message.DTO.js.map