"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.redisKeys = void 0;
const keySegmentSeparator = ':';
const nsPrefix = 'redis-smq-monitor-v700rc0';
const globalNamespace = 'global';
var ERedisKey;
(function (ERedisKey) {
    ERedisKey[ERedisKey["KEY_LOCK_MONITOR_WORKERS"] = 0] = "KEY_LOCK_MONITOR_WORKERS";
    ERedisKey[ERedisKey["KEY_RATE_CONSUMER_ACKNOWLEDGED"] = 1] = "KEY_RATE_CONSUMER_ACKNOWLEDGED";
    ERedisKey[ERedisKey["KEY_RATE_QUEUE_ACKNOWLEDGED"] = 2] = "KEY_RATE_QUEUE_ACKNOWLEDGED";
    ERedisKey[ERedisKey["KEY_RATE_QUEUE_ACKNOWLEDGED_INDEX"] = 3] = "KEY_RATE_QUEUE_ACKNOWLEDGED_INDEX";
    ERedisKey[ERedisKey["KEY_RATE_QUEUE_DEAD_LETTERED"] = 4] = "KEY_RATE_QUEUE_DEAD_LETTERED";
    ERedisKey[ERedisKey["KEY_RATE_QUEUE_DEAD_LETTERED_INDEX"] = 5] = "KEY_RATE_QUEUE_DEAD_LETTERED_INDEX";
    ERedisKey[ERedisKey["KEY_RATE_QUEUE_PUBLISHED"] = 6] = "KEY_RATE_QUEUE_PUBLISHED";
    ERedisKey[ERedisKey["KEY_RATE_QUEUE_PUBLISHED_INDEX"] = 7] = "KEY_RATE_QUEUE_PUBLISHED_INDEX";
    ERedisKey[ERedisKey["KEY_RATE_GLOBAL_ACKNOWLEDGED"] = 8] = "KEY_RATE_GLOBAL_ACKNOWLEDGED";
    ERedisKey[ERedisKey["KEY_RATE_GLOBAL_ACKNOWLEDGED_INDEX"] = 9] = "KEY_RATE_GLOBAL_ACKNOWLEDGED_INDEX";
    ERedisKey[ERedisKey["KEY_RATE_GLOBAL_DEAD_LETTERED"] = 10] = "KEY_RATE_GLOBAL_DEAD_LETTERED";
    ERedisKey[ERedisKey["KEY_RATE_GLOBAL_DEAD_LETTERED_INDEX"] = 11] = "KEY_RATE_GLOBAL_DEAD_LETTERED_INDEX";
    ERedisKey[ERedisKey["KEY_RATE_GLOBAL_PUBLISHED"] = 12] = "KEY_RATE_GLOBAL_PUBLISHED";
    ERedisKey[ERedisKey["KEY_RATE_GLOBAL_PUBLISHED_INDEX"] = 13] = "KEY_RATE_GLOBAL_PUBLISHED_INDEX";
    ERedisKey[ERedisKey["KEY_RATE_CONSUMER_DEAD_LETTERED"] = 14] = "KEY_RATE_CONSUMER_DEAD_LETTERED";
})(ERedisKey || (ERedisKey = {}));
function makeNamespacedKeys(keys, namespace, ...rest) {
    const result = {};
    for (const k in keys) {
        result[k] = [nsPrefix, namespace, keys[k], ...rest].join(keySegmentSeparator);
    }
    return result;
}
exports.redisKeys = {
    getMainKeys() {
        const mainKeys = {
            keyLockMonitorWorkers: ERedisKey.KEY_LOCK_MONITOR_WORKERS,
            keyRateGlobalDeadLettered: ERedisKey.KEY_RATE_GLOBAL_DEAD_LETTERED,
            keyRateGlobalAcknowledged: ERedisKey.KEY_RATE_GLOBAL_ACKNOWLEDGED,
            keyRateGlobalPublished: ERedisKey.KEY_RATE_GLOBAL_PUBLISHED,
            keyRateGlobalDeadLetteredIndex: ERedisKey.KEY_RATE_GLOBAL_DEAD_LETTERED_INDEX,
            keyRateGlobalAcknowledgedIndex: ERedisKey.KEY_RATE_GLOBAL_ACKNOWLEDGED_INDEX,
            keyRateGlobalInputIndex: ERedisKey.KEY_RATE_GLOBAL_PUBLISHED_INDEX,
        };
        return makeNamespacedKeys(mainKeys, globalNamespace);
    },
    getConsumerKeys(instanceId) {
        const mainKeys = this.getMainKeys();
        const consumerKeys = {
            keyRateConsumerDeadLettered: ERedisKey.KEY_RATE_CONSUMER_DEAD_LETTERED,
            keyRateConsumerAcknowledged: ERedisKey.KEY_RATE_CONSUMER_ACKNOWLEDGED,
        };
        return Object.assign(Object.assign({}, mainKeys), makeNamespacedKeys(consumerKeys, globalNamespace, instanceId));
    },
    getQueueKeys(queueParams) {
        const mainKeys = this.getMainKeys();
        const queueKeys = {
            keyRateQueueDeadLettered: ERedisKey.KEY_RATE_QUEUE_DEAD_LETTERED,
            keyRateQueueAcknowledged: ERedisKey.KEY_RATE_QUEUE_ACKNOWLEDGED,
            keyRateQueuePublished: ERedisKey.KEY_RATE_QUEUE_PUBLISHED,
            keyRateQueueDeadLetteredIndex: ERedisKey.KEY_RATE_QUEUE_DEAD_LETTERED_INDEX,
            keyRateQueueAcknowledgedIndex: ERedisKey.KEY_RATE_QUEUE_ACKNOWLEDGED_INDEX,
            keyRateQueuePublishedIndex: ERedisKey.KEY_RATE_QUEUE_PUBLISHED_INDEX,
        };
        return Object.assign(Object.assign({}, mainKeys), makeNamespacedKeys(queueKeys, queueParams.ns, queueParams.name));
    },
};
//# sourceMappingURL=redis-keys.js.map