"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../../common/routing");
const get_consumer_acknowledged_handler_1 = require("./get-consumer-acknowledged/get-consumer-acknowledged.handler");
const get_consumer_acknowledged_request_DTO_1 = require("./get-consumer-acknowledged/get-consumer-acknowledged.request.DTO");
const get_consumer_acknowledged_response_DTO_1 = require("./get-consumer-acknowledged/get-consumer-acknowledged.response.DTO");
const get_consumer_dead_lettered_handler_1 = require("./get-consumer-dead-lettered/get-consumer-dead-lettered.handler");
const get_consumer_dead_lettered_request_DTO_1 = require("./get-consumer-dead-lettered/get-consumer-dead-lettered.request.DTO");
const get_consumer_dead_lettered_response_DTO_1 = require("./get-consumer-dead-lettered/get-consumer-dead-lettered.response.DTO");
exports.controller = {
    path: '/:consumerId',
    actions: [
        {
            path: '/time-series',
            actions: [
                {
                    path: '/acknowledged',
                    method: routing_1.ERouteControllerActionMethod.GET,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.QUERY,
                    ],
                    Handler: get_consumer_acknowledged_handler_1.GetConsumerAcknowledgedHandler,
                    RequestDTO: get_consumer_acknowledged_request_DTO_1.GetConsumerAcknowledgedRequestDTO,
                    ResponseDTO: get_consumer_acknowledged_response_DTO_1.GetConsumerAcknowledgedResponseDTO,
                },
                {
                    path: '/dead-lettered',
                    method: routing_1.ERouteControllerActionMethod.GET,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.QUERY,
                    ],
                    Handler: get_consumer_dead_lettered_handler_1.GetConsumerDeadLetteredHandler,
                    RequestDTO: get_consumer_dead_lettered_request_DTO_1.GetConsumerDeadLetteredRequestDTO,
                    ResponseDTO: get_consumer_dead_lettered_response_DTO_1.GetConsumerDeadLetteredResponseDTO,
                },
            ],
        },
    ],
};
//# sourceMappingURL=controller.js.map