"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exchangesController = void 0;
const routing_1 = require("../../../common/routing");
const get_exchanges_handler_1 = require("./get-exchanges/get-exchanges.handler");
const get_exchanges_request_DTO_1 = require("./get-exchanges/get-exchanges.request.DTO");
const get_exchanges_response_DTO_1 = require("./get-exchanges/get-exchanges.response.DTO");
const get_exchange_queues_handler_1 = require("./get-exchange-queues/get-exchange-queues.handler");
const get_exchange_queues_request_DTO_1 = require("./get-exchange-queues/get-exchange-queues.request.DTO");
const get_exchange_queues_response_DTO_1 = require("./get-exchange-queues/get-exchange-queues.response.DTO");
const bind_queue_handler_1 = require("./bind-queue/bind-queue.handler");
const bind_queue_request_DTO_1 = require("./bind-queue/bind-queue.request.DTO");
const bind_queue_response_DTO_1 = require("./bind-queue/bind-queue.response.DTO");
const unbind_queue_handler_1 = require("./unbind-queue/unbind-queue.handler");
const unbind_queue_request_DTO_1 = require("./unbind-queue/unbind-queue.request.DTO");
const unbind_queue_response_DTO_1 = require("./unbind-queue/unbind-queue.response.DTO");
const create_exchange_handler_1 = require("./create-exchange/create-exchange.handler");
const create_exchange_request_DTO_1 = require("./create-exchange/create-exchange.request.DTO");
const create_exchange_response_DTO_1 = require("./create-exchange/create-exchange.response.DTO");
const delete_exchange_handler_1 = require("./delete-exchange/delete-exchange.handler");
const delete_exchange_request_DTO_1 = require("./delete-exchange/delete-exchange.request.DTO");
const delete_exchange_response_DTO_1 = require("./delete-exchange/delete-exchange.response.DTO");
exports.exchangesController = {
    path: '/exchanges',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [],
            Handler: get_exchanges_handler_1.GetExchangesHandler,
            RequestDTO: get_exchanges_request_DTO_1.GetExchangesRequestDTO,
            ResponseDTO: get_exchanges_response_DTO_1.GetExchangesResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.POST,
            payload: [routing_1.ERouteControllerActionPayload.BODY],
            Handler: create_exchange_handler_1.CreateExchangeHandler,
            RequestDTO: create_exchange_request_DTO_1.CreateExchangeRequestDTO,
            ResponseDTO: create_exchange_response_DTO_1.CreateExchangeResponseDTO,
        },
        {
            path: '/:exchangeName',
            actions: [
                {
                    path: '/',
                    method: routing_1.ERouteControllerActionMethod.DELETE,
                    payload: [routing_1.ERouteControllerActionPayload.PATH],
                    Handler: delete_exchange_handler_1.DeleteExchangeHandler,
                    RequestDTO: delete_exchange_request_DTO_1.DeleteExchangeRequestDTO,
                    ResponseDTO: delete_exchange_response_DTO_1.DeleteExchangeResponseDTO,
                },
                {
                    path: '/queues',
                    method: routing_1.ERouteControllerActionMethod.GET,
                    payload: [routing_1.ERouteControllerActionPayload.PATH],
                    Handler: get_exchange_queues_handler_1.GetExchangeQueuesHandler,
                    RequestDTO: get_exchange_queues_request_DTO_1.GetExchangeQueuesRequestDTO,
                    ResponseDTO: get_exchange_queues_response_DTO_1.GetExchangeQueuesResponseDTO,
                },
                {
                    path: '/bind',
                    method: routing_1.ERouteControllerActionMethod.POST,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.BODY,
                    ],
                    Handler: bind_queue_handler_1.BindQueueHandler,
                    RequestDTO: bind_queue_request_DTO_1.BindQueueRequestDTO,
                    ResponseDTO: bind_queue_response_DTO_1.BindQueueResponseDTO,
                },
                {
                    path: '/unbind',
                    method: routing_1.ERouteControllerActionMethod.POST,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.BODY,
                    ],
                    Handler: unbind_queue_handler_1.UnbindQueueHandler,
                    RequestDTO: unbind_queue_request_DTO_1.UnbindQueueRequestDTO,
                    ResponseDTO: unbind_queue_response_DTO_1.UnbindQueueResponseDTO,
                },
            ],
        },
    ],
};
//# sourceMappingURL=exchanges.controller.js.map