"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../common/routing");
const get_scheduled_messages_handler_1 = require("./get-scheduled-messages/get-scheduled-messages.handler");
const get_scheduled_messages_request_DTO_1 = require("./get-scheduled-messages/get-scheduled-messages.request.DTO");
const get_scheduled_messages_response_DTO_1 = require("./get-scheduled-messages/get-scheduled-messages.response.DTO");
const delete_scheduled_message_handler_1 = require("./delete-scheduled-message/delete-scheduled-message.handler");
const delete_scheduled_message_request_DTO_1 = require("./delete-scheduled-message/delete-scheduled-message-request.DTO");
const delete_scheduled_message_response_DTO_1 = require("./delete-scheduled-message/delete-scheduled-message-response.DTO");
const purge_scheduled_messages_handler_1 = require("./purge-scheduled-messages/purge-scheduled-messages.handler");
const purge_scheduled_messages_request_DTO_1 = require("./purge-scheduled-messages/purge-scheduled-messages.request.DTO");
const purge_scheduled_messages_response_DTO_1 = require("./purge-scheduled-messages/purge-scheduled-messages.response.DTO");
exports.controller = {
    path: '/scheduled-messages',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [routing_1.ERouteControllerActionPayload.QUERY],
            Handler: get_scheduled_messages_handler_1.GetScheduledMessagesHandler,
            RequestDTO: get_scheduled_messages_request_DTO_1.GetScheduledMessagesRequestDTO,
            ResponseDTO: get_scheduled_messages_response_DTO_1.GetScheduledMessagesResponseDTO,
        },
        {
            path: '/:id',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: delete_scheduled_message_handler_1.DeleteScheduledMessageHandler,
            RequestDTO: delete_scheduled_message_request_DTO_1.DeleteScheduledMessageRequestDTO,
            ResponseDTO: delete_scheduled_message_response_DTO_1.DeleteScheduledMessageResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [],
            Handler: purge_scheduled_messages_handler_1.PurgeScheduledMessagesHandler,
            RequestDTO: purge_scheduled_messages_request_DTO_1.PurgeScheduledMessagesRequestDTO,
            ResponseDTO: purge_scheduled_messages_response_DTO_1.PurgeScheduledMessagesResponseDTO,
        },
    ],
};
//# sourceMappingURL=controller.js.map