"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../common/routing");
const get_dead_lettered_handler_1 = require("./get-dead-lettered/get-dead-lettered.handler");
const get_dead_lettered_request_DTO_1 = require("./get-dead-lettered/get-dead-lettered.request.DTO");
const get_dead_lettered_response_DTO_1 = require("./get-dead-lettered/get-dead-lettered.response.DTO");
const get_acknowledged_handler_1 = require("./get-acknowledged/get-acknowledged.handler");
const get_acknowledged_request_DTO_1 = require("./get-acknowledged/get-acknowledged.request.DTO");
const get_acknowledged_response_DTO_1 = require("./get-acknowledged/get-acknowledged.response.DTO");
const get_published_handler_1 = require("./get-published-time-series/get-published.handler");
const get_published_request_DTO_1 = require("./get-published-time-series/get-published.request.DTO");
const get_published_response_DTO_1 = require("./get-published-time-series/get-published.response.DTO");
exports.controller = {
    path: '/time-series',
    actions: [
        {
            path: '/acknowledged',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: get_acknowledged_handler_1.GetAcknowledgedHandler,
            RequestDTO: get_acknowledged_request_DTO_1.GetAcknowledgedRequestDTO,
            ResponseDTO: get_acknowledged_response_DTO_1.GetAcknowledgedResponseDTO,
        },
        {
            path: '/dead-lettered',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: get_dead_lettered_handler_1.GetDeadLetteredHandler,
            RequestDTO: get_dead_lettered_request_DTO_1.GetDeadLetteredRequestDTO,
            ResponseDTO: get_dead_lettered_response_DTO_1.GetDeadLetteredResponseDTO,
        },
        {
            path: '/published',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: get_published_handler_1.GetPublishedHandler,
            RequestDTO: get_published_request_DTO_1.GetPublishedRequestDTO,
            ResponseDTO: get_published_response_DTO_1.GetPublishedResponseDTO,
        },
    ],
};
//# sourceMappingURL=controller.js.map