"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.namespacesController = void 0;
const routing_1 = require("../../../common/routing");
const get_namespaces_request_DTO_1 = require("./get-namespaces/get-namespaces.request.DTO");
const get_namespaces_response_DTO_1 = require("./get-namespaces/get-namespaces.response.DTO");
const get_namespaces_handler_1 = require("./get-namespaces/get-namespaces.handler");
const get_namespace_queues_handler_1 = require("./get-namespace-queues/get-namespace-queues.handler");
const get_namespace_queues_request_DTO_1 = require("./get-namespace-queues/get-namespace-queues.request.DTO");
const get_namespace_queues_response_DTO_1 = require("./get-namespace-queues/get-namespace-queues.response.DTO");
const delete_namespace_handler_1 = require("./delete-namespace/delete-namespace.handler");
const delete_namespace_request_DTO_1 = require("./delete-namespace/delete-namespace.request.DTO");
const delete_namespace_response_DTO_1 = require("./delete-namespace/delete-namespace.response.DTO");
const queue_controller_1 = require("./queue/queue.controller");
exports.namespacesController = {
    path: '/ns',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [],
            Handler: get_namespaces_handler_1.GetNamespacesHandler,
            RequestDTO: get_namespaces_request_DTO_1.GetNamespacesRequestDTO,
            ResponseDTO: get_namespaces_response_DTO_1.GetNamespacesResponseDTO,
        },
        {
            path: '/:ns',
            actions: [
                {
                    path: '/',
                    method: routing_1.ERouteControllerActionMethod.DELETE,
                    payload: [routing_1.ERouteControllerActionPayload.PATH],
                    Handler: delete_namespace_handler_1.DeleteNamespaceHandler,
                    RequestDTO: delete_namespace_request_DTO_1.DeleteNamespaceRequestDTO,
                    ResponseDTO: delete_namespace_response_DTO_1.DeleteNamespaceResponseDTO,
                },
                {
                    path: '/queues',
                    actions: [
                        {
                            path: '/',
                            method: routing_1.ERouteControllerActionMethod.GET,
                            payload: [routing_1.ERouteControllerActionPayload.PATH],
                            Handler: get_namespace_queues_handler_1.GetNamespaceQueuesHandler,
                            RequestDTO: get_namespace_queues_request_DTO_1.GetNamespaceQueuesRequestDTO,
                            ResponseDTO: get_namespace_queues_response_DTO_1.GetNamespaceQueuesResponseDTO,
                        },
                        queue_controller_1.queueController,
                    ],
                },
            ],
        },
    ],
};
//# sourceMappingURL=namespaces.controller.js.map