"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../../common/routing");
const get_acknowledged_messages_handler_1 = require("./get-acknowledged-messages/get-acknowledged-messages.handler");
const get_acknowledged_messages_request_DTO_1 = require("./get-acknowledged-messages/get-acknowledged-messages.request.DTO");
const get_acknowledged_messages_response_DTO_1 = require("./get-acknowledged-messages/get-acknowledged-messages.response.DTO");
const purge_acknowledged_messages_handler_1 = require("./purge-acknowledged-messages/purge-acknowledged-messages.handler");
const purge_acknowledged_messages_request_DTO_1 = require("./purge-acknowledged-messages/purge-acknowledged-messages.request.DTO");
const purge_acknowledged_messages_response_DTO_1 = require("./purge-acknowledged-messages/purge-acknowledged-messages.response.DTO");
const delete_acknowledged_message_handler_1 = require("./delete-acknowledged-message/delete-acknowledged-message.handler");
const delete_acknowledged_message_request_DTO_1 = require("./delete-acknowledged-message/delete-acknowledged-message.request.DTO");
const delete_acknowledged_message_response_DTO_1 = require("./delete-acknowledged-message/delete-acknowledged-message.response.DTO");
const requeue_acknowledged_message_handler_1 = require("./requeue-acknowledged-message/requeue-acknowledged-message.handler");
const requeue_acknowledged_message_request_DTO_1 = require("./requeue-acknowledged-message/requeue-acknowledged-message.request.DTO");
const requeue_acknowledged_message_response_DTO_1 = require("./requeue-acknowledged-message/requeue-acknowledged-message.response.DTO");
exports.controller = {
    path: '/acknowledged-messages',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: get_acknowledged_messages_handler_1.GetAcknowledgedMessagesHandler,
            RequestDTO: get_acknowledged_messages_request_DTO_1.GetAcknowledgedMessagesRequestDTO,
            ResponseDTO: get_acknowledged_messages_response_DTO_1.GetAcknowledgedMessagesResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: purge_acknowledged_messages_handler_1.PurgeAcknowledgedMessagesHandler,
            RequestDTO: purge_acknowledged_messages_request_DTO_1.PurgeAcknowledgedMessagesRequestDTO,
            ResponseDTO: purge_acknowledged_messages_response_DTO_1.PurgeAcknowledgedMessagesResponseDTO,
        },
        {
            path: '/:id',
            actions: [
                {
                    path: '/',
                    method: routing_1.ERouteControllerActionMethod.DELETE,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.QUERY,
                    ],
                    Handler: delete_acknowledged_message_handler_1.DeleteAcknowledgedMessageHandler,
                    RequestDTO: delete_acknowledged_message_request_DTO_1.DeleteAcknowledgedMessageRequestDTO,
                    ResponseDTO: delete_acknowledged_message_response_DTO_1.DeleteAcknowledgedMessageResponseDTO,
                },
                {
                    path: '/requeue',
                    method: routing_1.ERouteControllerActionMethod.POST,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.QUERY,
                    ],
                    Handler: requeue_acknowledged_message_handler_1.RequeueAcknowledgedMessageHandler,
                    RequestDTO: requeue_acknowledged_message_request_DTO_1.RequeueAcknowledgedMessageRequestDTO,
                    ResponseDTO: requeue_acknowledged_message_response_DTO_1.RequeueAcknowledgedMessageResponseDTO,
                },
            ],
        },
    ],
};
//# sourceMappingURL=controller.js.map