"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../../common/routing");
const get_dead_lettered_messages_handler_1 = require("./get-dead-lettered-messages/get-dead-lettered-messages.handler");
const get_dead_lettered_messages_request_DTO_1 = require("./get-dead-lettered-messages/get-dead-lettered-messages.request.DTO");
const get_dead_lettered_messages_response_DTO_1 = require("./get-dead-lettered-messages/get-dead-lettered-messages.response.DTO");
const purge_dead_lettered_messages_handler_1 = require("./purge-dead-lettered-messages/purge-dead-lettered-messages.handler");
const purge_dead_lettered_messages_request_DTO_1 = require("./purge-dead-lettered-messages/purge-dead-lettered-messages.request.DTO");
const purge_dead_lettered_messages_response_DTO_1 = require("./purge-dead-lettered-messages/purge-dead-lettered-messages.response.DTO");
const delete_dead_lettered_message_handler_1 = require("./delete-dead-lettered-message/delete-dead-lettered-message.handler");
const delete_dead_lettered_message_request_DTO_1 = require("./delete-dead-lettered-message/delete-dead-lettered-message.request.DTO");
const delete_dead_lettered_message_response_DTO_1 = require("./delete-dead-lettered-message/delete-dead-lettered-message.response.DTO");
const requeue_dead_lettered_message_handler_1 = require("./requeue-dead-lettered-message/requeue-dead-lettered-message.handler");
const requeue_dead_lettered_message_request_DTO_1 = require("./requeue-dead-lettered-message/requeue-dead-lettered-message.request.DTO");
const requeue_dead_lettered_message_response_DTO_1 = require("./requeue-dead-lettered-message/requeue-dead-lettered-message.response.DTO");
exports.controller = {
    path: '/dead-lettered-messages',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: get_dead_lettered_messages_handler_1.GetDeadLetteredMessagesHandler,
            RequestDTO: get_dead_lettered_messages_request_DTO_1.GetDeadLetteredMessagesRequestDTO,
            ResponseDTO: get_dead_lettered_messages_response_DTO_1.GetDeadLetteredMessagesResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: purge_dead_lettered_messages_handler_1.PurgeDeadLetteredMessagesHandler,
            RequestDTO: purge_dead_lettered_messages_request_DTO_1.PurgeDeadLetteredMessagesRequestDTO,
            ResponseDTO: purge_dead_lettered_messages_response_DTO_1.PurgeDeadLetteredMessagesResponseDTO,
        },
        {
            path: '/:id',
            actions: [
                {
                    path: '/',
                    method: routing_1.ERouteControllerActionMethod.DELETE,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.QUERY,
                    ],
                    Handler: delete_dead_lettered_message_handler_1.DeleteDeadLetteredMessageHandler,
                    RequestDTO: delete_dead_lettered_message_request_DTO_1.DeleteDeadLetteredMessageRequestDTO,
                    ResponseDTO: delete_dead_lettered_message_response_DTO_1.DeleteDeadLetteredMessageResponseDTO,
                },
                {
                    path: '/requeue',
                    method: routing_1.ERouteControllerActionMethod.POST,
                    payload: [
                        routing_1.ERouteControllerActionPayload.PATH,
                        routing_1.ERouteControllerActionPayload.QUERY,
                    ],
                    Handler: requeue_dead_lettered_message_handler_1.RequeueDeadLetteredMessageHandler,
                    RequestDTO: requeue_dead_lettered_message_request_DTO_1.RequeueDeadLetteredMessageRequestDTO,
                    ResponseDTO: requeue_dead_lettered_message_response_DTO_1.RequeueDeadLetteredMessageResponseDTO,
                },
            ],
        },
    ],
};
//# sourceMappingURL=controller.js.map