"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../../common/routing");
const purge_pending_messages_handler_1 = require("./purge-pending-messages/purge-pending-messages.handler");
const purge_pending_messages_request_DTO_1 = require("./purge-pending-messages/purge-pending-messages.request.DTO");
const purge_pending_messages_response_DTO_1 = require("./purge-pending-messages/purge-pending-messages.response.DTO");
const get_pending_messages_handler_1 = require("./get-pending-messages/get-pending-messages.handler");
const get_pending_messages_request_DTO_1 = require("./get-pending-messages/get-pending-messages.request.DTO");
const get_pending_messages_response_DTO_1 = require("./get-pending-messages/get-pending-messages.response.DTO");
const delete_pending_message_handler_1 = require("./delete-pending-message/delete-pending-message.handler");
const delete_pending_message_request_DTO_1 = require("./delete-pending-message/delete-pending-message.request.DTO");
const delete_pending_message_response_DTO_1 = require("./delete-pending-message/delete-pending-message.response.DTO");
exports.controller = {
    path: '/pending-messages',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: purge_pending_messages_handler_1.PurgePendingMessagesHandler,
            RequestDTO: purge_pending_messages_request_DTO_1.PurgePendingMessagesRequestDTO,
            ResponseDTO: purge_pending_messages_response_DTO_1.PurgePendingMessagesResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: get_pending_messages_handler_1.GetPendingMessagesHandler,
            RequestDTO: get_pending_messages_request_DTO_1.GetPendingMessagesRequestDTO,
            ResponseDTO: get_pending_messages_response_DTO_1.GetPendingMessagesResponseDTO,
        },
        {
            path: '/:id',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.QUERY,
            ],
            Handler: delete_pending_message_handler_1.DeletePendingMessageHandler,
            RequestDTO: delete_pending_message_request_DTO_1.DeletePendingMessageRequestDTO,
            ResponseDTO: delete_pending_message_response_DTO_1.DeletePendingMessageResponseDTO,
        },
    ],
};
//# sourceMappingURL=controller.js.map