"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueController = void 0;
const routing_1 = require("../../../../common/routing");
const delete_queue_handler_1 = require("./delete-queue/delete-queue.handler");
const delete_queue_request_DTO_1 = require("./delete-queue/delete-queue.request.DTO");
const delete_queue_response_DTO_1 = require("./delete-queue/delete-queue.response.DTO");
const controller_1 = require("./dead-lettered-messages/controller");
const controller_2 = require("./acknowledged-messages/controller");
const controller_3 = require("./pending-messages/controller");
const controller_4 = require("./time-series/controller");
const controller_5 = require("./rate-limiting/controller");
exports.queueController = {
    path: '/:queueName',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [routing_1.ERouteControllerActionPayload.PATH],
            Handler: delete_queue_handler_1.DeleteQueueHandler,
            RequestDTO: delete_queue_request_DTO_1.DeleteQueueRequestDTO,
            ResponseDTO: delete_queue_response_DTO_1.DeleteQueueResponseDTO,
        },
        controller_1.controller,
        controller_2.controller,
        controller_3.controller,
        controller_4.controller,
        controller_5.controller,
    ],
};
//# sourceMappingURL=queue.controller.js.map