"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.controller = void 0;
const routing_1 = require("../../../../../common/routing");
const set_rate_limit_handler_1 = require("./set-rate-limit/set-rate-limit.handler");
const set_rate_limit_request_DTO_1 = require("./set-rate-limit/set-rate-limit.request.DTO");
const set_rate_limit_response_DTO_1 = require("./set-rate-limit/set-rate-limit.response.DTO");
const get_rate_limit_handler_1 = require("./get-rate-limit/get-rate-limit.handler");
const get_rate_limit_request_DTO_1 = require("./get-rate-limit/get-rate-limit.request.DTO");
const get_rate_limit_response_DTO_1 = require("./get-rate-limit/get-rate-limit.response.DTO");
const clear_rate_limit_handler_1 = require("./clear-rate-limit/clear-rate-limit.handler");
const clear_rate_limit_request_DTO_1 = require("./clear-rate-limit/clear-rate-limit.request.DTO");
const clear_rate_limit_response_DTO_1 = require("./clear-rate-limit/clear-rate-limit.response.DTO");
exports.controller = {
    path: '/rate-limit',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.POST,
            payload: [
                routing_1.ERouteControllerActionPayload.PATH,
                routing_1.ERouteControllerActionPayload.BODY,
            ],
            Handler: set_rate_limit_handler_1.SetRateLimitHandler,
            RequestDTO: set_rate_limit_request_DTO_1.SetRateLimitRequestDTO,
            ResponseDTO: set_rate_limit_response_DTO_1.SetRateLimitResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [routing_1.ERouteControllerActionPayload.PATH],
            Handler: get_rate_limit_handler_1.GetRateLimitHandler,
            RequestDTO: get_rate_limit_request_DTO_1.GetRateLimitRequestDTO,
            ResponseDTO: get_rate_limit_response_DTO_1.GetRateLimitResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.DELETE,
            payload: [routing_1.ERouteControllerActionPayload.PATH],
            Handler: clear_rate_limit_handler_1.ClearRateLimitHandler,
            RequestDTO: clear_rate_limit_request_DTO_1.ClearRateLimitRequestDTO,
            ResponseDTO: clear_rate_limit_response_DTO_1.ClearRateLimitResponseDTO,
        },
    ],
};
//# sourceMappingURL=controller.js.map