"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queuesController = void 0;
const routing_1 = require("../../../common/routing");
const get_queues_handler_1 = require("./get-queues/get-queues.handler");
const get_queues_request_DTO_1 = require("./get-queues/get-queues.request.DTO");
const get_queues_response_DTO_1 = require("./get-queues/get-queues.response.DTO");
const create_queue_handler_1 = require("./create-queue/create-queue.handler");
const create_queue_request_DTO_1 = require("./create-queue/create-queue.request.DTO");
const create_queue_response_DTO_1 = require("./create-queue/create-queue.response.DTO");
exports.queuesController = {
    path: '/queues',
    actions: [
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.POST,
            payload: [routing_1.ERouteControllerActionPayload.BODY],
            Handler: create_queue_handler_1.CreateQueueHandler,
            RequestDTO: create_queue_request_DTO_1.CreateQueueRequestDTO,
            ResponseDTO: create_queue_response_DTO_1.CreateQueueResponseDTO,
        },
        {
            path: '/',
            method: routing_1.ERouteControllerActionMethod.GET,
            payload: [],
            Handler: get_queues_handler_1.GetQueuesHandler,
            RequestDTO: get_queues_request_DTO_1.GetQueuesRequestDTO,
            ResponseDTO: get_queues_response_DTO_1.GetQueuesResponseDTO,
        },
    ],
};
//# sourceMappingURL=queues.controller.js.map