"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageRateWriter = void 0;
const redis_smq_1 = require("redis-smq");
const redis_smq_common_1 = require("redis-smq-common");
class MessageRateWriter {
    constructor() {
        this.rateStack = [];
        this.updateTimeSeries = () => {
            const item = this.rateStack.shift();
            if (item) {
                const [ts, rates] = item;
                this.onUpdate(ts, rates, () => {
                    this.writerTicker.nextTick();
                });
            }
            else
                this.writerTicker.nextTick();
        };
        this.onRateTick = (ts, rates) => {
            this.rateStack.push([ts, rates]);
        };
        this.writerTicker = new redis_smq_common_1.Ticker(this.updateTimeSeries);
        this.writerTicker.nextTick();
    }
    quit(cb) {
        this.writerTicker.on(redis_smq_1.events.DOWN, cb);
        this.writerTicker.quit();
    }
}
exports.MessageRateWriter = MessageRateWriter;
//# sourceMappingURL=message-rate-writer.js.map