/// <reference types="node" />
import { EventEmitter } from 'events';
import { MessageRateWriter } from './message-rate-writer';
import { TMessageRateFields } from '../../../../types';
import { Ticker } from 'redis-smq-common';
import { ICallback } from 'redis-smq-common/dist/types';
export declare abstract class MessageRate<MessageRateFields extends TMessageRateFields = TMessageRateFields> extends EventEmitter {
    protected readerTicker: Ticker;
    protected messageRateWriter: MessageRateWriter<MessageRateFields>;
    constructor(messageRateWriter: MessageRateWriter<MessageRateFields>);
    protected onTick: () => void;
    quit(cb: ICallback<void>): void;
    abstract getRateFields(): MessageRateFields;
}
