/// <reference types="node" />
import { IEventListener, TEventListenerInitArgs, TQueueParams } from 'redis-smq/dist/types';
import { ConsumerMessageRate } from './consumer/consumer-message-rate';
import { Message } from 'redis-smq';
import { RedisClient } from 'redis-smq-common';
import { ICallback } from 'redis-smq-common/dist/types';
import { EventEmitter } from 'events';
export declare class ConsumerEventListener implements IEventListener {
    protected consumerId: string | null;
    protected consumerMessageRate: Map<TQueueParams, ConsumerMessageRate>;
    protected redisClient: RedisClient | null;
    protected eventProvider: EventEmitter | null;
    protected onMessageAcknowledged: (message: Message) => void;
    protected onMessageDeadLettered: (message: Message) => void;
    protected getMessageRate(queue: TQueueParams, consumerId: string): ConsumerMessageRate;
    protected getRedisClient(): RedisClient;
    init(args: TEventListenerInitArgs, cb: ICallback<void>): void;
    quit(cb: ICallback<void>): void;
}
