"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteConsumerAcknowledgedTimeSeries = exports.ConsumerAcknowledgedTimeSeries = void 0;
const redis_keys_1 = require("../../../common/redis-keys/redis-keys");
const sorted_set_time_series_1 = require("../common/sorted-set-time-series");
const ConsumerAcknowledgedTimeSeries = (redisClient, consumerId) => {
    const { keyRateConsumerAcknowledged } = redis_keys_1.redisKeys.getConsumerKeys(consumerId);
    return new sorted_set_time_series_1.SortedSetTimeSeries(redisClient, {
        key: keyRateConsumerAcknowledged,
    });
};
exports.ConsumerAcknowledgedTimeSeries = ConsumerAcknowledgedTimeSeries;
const deleteConsumerAcknowledgedTimeSeries = (multi, consumerId) => {
    const { keyRateConsumerAcknowledged } = redis_keys_1.redisKeys.getConsumerKeys(consumerId);
    multi.del(keyRateConsumerAcknowledged);
};
exports.deleteConsumerAcknowledgedTimeSeries = deleteConsumerAcknowledgedTimeSeries;
//# sourceMappingURL=consumer-acknowledged-time-series.js.map