"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteConsumerDeadLetteredTimeSeries = exports.ConsumerDeadLetteredTimeSeries = void 0;
const redis_keys_1 = require("../../../common/redis-keys/redis-keys");
const sorted_set_time_series_1 = require("../common/sorted-set-time-series");
const ConsumerDeadLetteredTimeSeries = (redisClient, consumerId) => {
    const { keyRateConsumerDeadLettered } = redis_keys_1.redisKeys.getConsumerKeys(consumerId);
    return new sorted_set_time_series_1.SortedSetTimeSeries(redisClient, {
        key: keyRateConsumerDeadLettered,
    });
};
exports.ConsumerDeadLetteredTimeSeries = ConsumerDeadLetteredTimeSeries;
const deleteConsumerDeadLetteredTimeSeries = (multi, consumerId) => {
    const { keyRateConsumerDeadLettered } = redis_keys_1.redisKeys.getConsumerKeys(consumerId);
    multi.del(keyRateConsumerDeadLettered);
};
exports.deleteConsumerDeadLetteredTimeSeries = deleteConsumerDeadLetteredTimeSeries;
//# sourceMappingURL=consumer-dead-lettered-time-series.js.map