import { ConsumerAcknowledgedTimeSeries } from './consumer-acknowledged-time-series';
import { ConsumerDeadLetteredTimeSeries } from './consumer-dead-lettered-time-series';
import { QueueAcknowledgedTimeSeries } from './queue-acknowledged-time-series';
import { QueueDeadLetteredTimeSeries } from './queue-dead-lettered-time-series';
import { GlobalAcknowledgedTimeSeries } from './global-acknowledged-time-series';
import { GlobalDeadLetteredTimeSeries } from './global-dead-lettered-time-series';
import { MessageRateWriter } from '../common/message-rate-writer';
import { TQueueParams } from 'redis-smq/dist/types';
import { IConsumerMessageRateFields } from '../../../../types';
import { RedisClient } from 'redis-smq-common';
import { ICallback } from 'redis-smq-common/dist/types';
export declare class ConsumerMessageRateWriter extends MessageRateWriter<IConsumerMessageRateFields> {
    protected redisClient: RedisClient;
    protected acknowledgedTimeSeries: ReturnType<typeof ConsumerAcknowledgedTimeSeries>;
    protected deadLetteredTimeSeries: ReturnType<typeof ConsumerDeadLetteredTimeSeries>;
    protected queueAcknowledgedRateTimeSeries: ReturnType<typeof QueueAcknowledgedTimeSeries>;
    protected queueDeadLetteredTimeSeries: ReturnType<typeof QueueDeadLetteredTimeSeries>;
    protected globalAcknowledgedRateTimeSeries: ReturnType<typeof GlobalAcknowledgedTimeSeries>;
    protected globalDeadLetteredTimeSeries: ReturnType<typeof GlobalDeadLetteredTimeSeries>;
    constructor(redisClient: RedisClient, queue: TQueueParams, consumerId: string);
    onUpdate(ts: number, rates: IConsumerMessageRateFields, cb: ICallback<void>): void;
}
