"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumerMessageRate = void 0;
const message_rate_1 = require("../common/message-rate");
class ConsumerMessageRate extends message_rate_1.MessageRate {
    constructor() {
        super(...arguments);
        this.acknowledgedRate = 0;
        this.deadLetteredRate = 0;
    }
    getRateFields() {
        const acknowledgedRate = this.acknowledgedRate;
        const deadLetteredRate = this.deadLetteredRate;
        this.acknowledgedRate = 0;
        this.deadLetteredRate = 0;
        return {
            acknowledgedRate,
            deadLetteredRate,
        };
    }
    incrementAcknowledged() {
        this.acknowledgedRate += 1;
    }
    incrementDeadLettered() {
        this.deadLetteredRate += 1;
    }
}
exports.ConsumerMessageRate = ConsumerMessageRate;
//# sourceMappingURL=consumer-message-rate.js.map