"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalAcknowledgedTimeSeries = void 0;
const redis_keys_1 = require("../../../common/redis-keys/redis-keys");
const hash_time_series_1 = require("../common/hash-time-series");
const GlobalAcknowledgedTimeSeries = (redisClient) => {
    const { keyRateGlobalAcknowledged, keyRateGlobalAcknowledgedIndex } = redis_keys_1.redisKeys.getMainKeys();
    return new hash_time_series_1.HashTimeSeries(redisClient, {
        key: keyRateGlobalAcknowledged,
        indexKey: keyRateGlobalAcknowledgedIndex,
    });
};
exports.GlobalAcknowledgedTimeSeries = GlobalAcknowledgedTimeSeries;
//# sourceMappingURL=global-acknowledged-time-series.js.map