"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueAcknowledgedTimeSeries = void 0;
const redis_keys_1 = require("../../../common/redis-keys/redis-keys");
const hash_time_series_1 = require("../common/hash-time-series");
const QueueAcknowledgedTimeSeries = (redisClient, queue) => {
    const { keyRateQueueAcknowledged, keyRateQueueAcknowledgedIndex } = redis_keys_1.redisKeys.getQueueKeys(queue);
    return new hash_time_series_1.HashTimeSeries(redisClient, {
        key: keyRateQueueAcknowledged,
        indexKey: keyRateQueueAcknowledgedIndex,
    });
};
exports.QueueAcknowledgedTimeSeries = QueueAcknowledgedTimeSeries;
//# sourceMappingURL=queue-acknowledged-time-series.js.map