"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProducerMessageRate = void 0;
const message_rate_1 = require("../common/message-rate");
class ProducerMessageRate extends message_rate_1.MessageRate {
    constructor() {
        super(...arguments);
        this.publishedRate = 0;
        this.queuePublishedRate = {};
    }
    incrementPublished(queue) {
        const key = `${queue.ns}:${queue.name}`;
        if (!this.queuePublishedRate[key]) {
            this.queuePublishedRate[key] = 0;
        }
        this.queuePublishedRate[key] += 1;
        this.publishedRate += 1;
    }
    getRateFields() {
        const publishedRate = this.publishedRate;
        this.publishedRate = 0;
        const queuePublishedRate = Object.assign({}, this.queuePublishedRate);
        for (const key in this.queuePublishedRate) {
            this.queuePublishedRate[key] = 0;
        }
        return {
            publishedRate,
            queuePublishedRate,
        };
    }
}
exports.ProducerMessageRate = ProducerMessageRate;
//# sourceMappingURL=producer-message-rate.js.map