"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.destroyFanOutExchangeManager = exports.getFanOutExchangeManagerInstance = void 0;
const bluebird_1 = require("bluebird");
const redis_smq_1 = require("redis-smq");
const FanOutExchangeManagerAsync = (0, bluebird_1.promisifyAll)(redis_smq_1.FanOutExchangeManager);
let fanOutExchangeManager = null;
function getFanOutExchangeManagerInstance(config) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!fanOutExchangeManager) {
            fanOutExchangeManager =
                yield FanOutExchangeManagerAsync.createInstanceAsync(config);
        }
        return fanOutExchangeManager;
    });
}
exports.getFanOutExchangeManagerInstance = getFanOutExchangeManagerInstance;
function destroyFanOutExchangeManager() {
    return __awaiter(this, void 0, void 0, function* () {
        if (fanOutExchangeManager) {
            yield (0, bluebird_1.promisifyAll)(fanOutExchangeManager).quitAsync();
            fanOutExchangeManager = null;
        }
    });
}
exports.destroyFanOutExchangeManager = destroyFanOutExchangeManager;
//# sourceMappingURL=fan-out-exchange-manager.js.map