import { RedisClient } from 'redis-smq-common';
import { ICompatibleLogger } from 'redis-smq-common/dist/types';
import { TConfig } from '../../types';
export declare type TRegistryItems = {
    redis: RedisClient;
    logger: ICompatibleLogger;
    config: TConfig;
};
export declare type TRegistry = {
    register<T extends keyof TRegistryItems>(key: T, value: TRegistryItems[T]): void;
    getItem<T extends keyof TRegistryItems>(key: T): TRegistryItems[T];
    reset(): void;
};
export declare const registry: TRegistry;
