"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registry = void 0;
const redis_smq_common_1 = require("redis-smq-common");
let registryMap = {};
exports.registry = {
    register(key, value) {
        if (registryMap[key]) {
            throw new redis_smq_common_1.errors.PanicError(`An item with key [${key}] is already registered`);
        }
        registryMap[key] = value;
    },
    getItem(key) {
        if (!registryMap[key]) {
            throw new redis_smq_common_1.errors.PanicError(`Item with key [${key}] is not registered`);
        }
        return registryMap[key];
    },
    reset() {
        registryMap = {};
    },
};
//# sourceMappingURL=registry.js.map