"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorHandler = void 0;
const class_validator_1 = require("class-validator");
const registry_1 = require("../lib/registry");
const errorHandler = (ctx, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        yield next();
    }
    catch (e) {
        registry_1.registry.getItem('logger').error(JSON.stringify(e));
        ctx.status = e instanceof class_validator_1.ValidationError ? 422 : 500;
        ctx.body = {
            error: {
                code: ctx.status,
                message: (e instanceof class_validator_1.ValidationError && 'Validation error') ||
                    (e instanceof Error && e.message) ||
                    'Internal server error',
                details: (e instanceof class_validator_1.ValidationError && e) ||
                    (e instanceof Error && {
                        message: e.message,
                        name: e.name,
                        stack: e.stack,
                    }) ||
                    {},
            },
        };
    }
});
exports.errorHandler = errorHandler;
//# sourceMappingURL=error-handler.js.map