"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestValidator = void 0;
const validate_dto_1 = require("../common/validate-dto");
const routing_1 = require("../common/routing");
function RequestValidator(dto, payload) {
    return (ctx, next) => __awaiter(this, void 0, void 0, function* () {
        let plain = {};
        payload.forEach((i) => {
            if (i === routing_1.ERouteControllerActionPayload.PATH) {
                plain = Object.assign(Object.assign({}, plain), ctx.params);
            }
            else if (i === routing_1.ERouteControllerActionPayload.QUERY) {
                plain = Object.assign(Object.assign({}, plain), ctx.query);
            }
            else if (i === routing_1.ERouteControllerActionPayload.BODY) {
                const body = typeof ctx.request['body'] === 'object' ? ctx.request['body'] : {};
                plain = Object.assign(Object.assign({}, plain), body);
            }
        });
        ctx.state.dto = yield (0, validate_dto_1.validateDTO)(dto, plain);
        yield next();
    });
}
exports.RequestValidator = RequestValidator;
//# sourceMappingURL=request-validator.js.map