"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumerTimeSeriesService = void 0;
const bluebird_1 = require("bluebird");
const consumer_dead_lettered_time_series_1 = require("../event-listeners/message-rate/consumer/consumer-dead-lettered-time-series");
const consumer_acknowledged_time_series_1 = require("../event-listeners/message-rate/consumer/consumer-acknowledged-time-series");
class ConsumerTimeSeriesService {
    constructor(redisClient) {
        this.redisClient = redisClient;
    }
    acknowledged(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const { from, to, consumerId } = args;
            const timeSeries = (0, bluebird_1.promisifyAll)((0, consumer_acknowledged_time_series_1.ConsumerAcknowledgedTimeSeries)(this.redisClient, consumerId));
            return timeSeries.getRangeAsync(from, to);
        });
    }
    deadLettered(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const { from, to, consumerId } = args;
            const timeSeries = (0, bluebird_1.promisifyAll)((0, consumer_dead_lettered_time_series_1.ConsumerDeadLetteredTimeSeries)(this.redisClient, consumerId));
            return timeSeries.getRangeAsync(from, to);
        });
    }
    static getInstance(registry) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!ConsumerTimeSeriesService.instance) {
                const redis = registry.getItem('redis');
                ConsumerTimeSeriesService.instance = new ConsumerTimeSeriesService(redis);
            }
            return ConsumerTimeSeriesService.instance;
        });
    }
}
exports.ConsumerTimeSeriesService = ConsumerTimeSeriesService;
ConsumerTimeSeriesService.instance = null;
//# sourceMappingURL=consumer-time-series.service.js.map