"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalTimeSeriesService = void 0;
const bluebird_1 = require("bluebird");
const global_acknowledged_time_series_1 = require("../event-listeners/message-rate/consumer/global-acknowledged-time-series");
const global_dead_lettered_time_series_1 = require("../event-listeners/message-rate/consumer/global-dead-lettered-time-series");
const global_published_time_series_1 = require("../event-listeners/message-rate/producer/global-published-time-series");
class GlobalTimeSeriesService {
    constructor(redisClient) {
        this.redisClient = redisClient;
    }
    acknowledged(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const { from, to } = args;
            const timeSeries = (0, bluebird_1.promisifyAll)((0, global_acknowledged_time_series_1.GlobalAcknowledgedTimeSeries)(this.redisClient));
            return timeSeries.getRangeAsync(from, to);
        });
    }
    deadLettered(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const { from, to } = args;
            const timeSeries = (0, bluebird_1.promisifyAll)((0, global_dead_lettered_time_series_1.GlobalDeadLetteredTimeSeries)(this.redisClient));
            return timeSeries.getRangeAsync(from, to);
        });
    }
    published(args) {
        return __awaiter(this, void 0, void 0, function* () {
            const { from, to } = args;
            const timeSeries = (0, bluebird_1.promisifyAll)((0, global_published_time_series_1.GlobalPublishedTimeSeries)(this.redisClient));
            return timeSeries.getRangeAsync(from, to);
        });
    }
    static getInstance(registry) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!GlobalTimeSeriesService.instance) {
                const redis = registry.getItem('redis');
                GlobalTimeSeriesService.instance = new GlobalTimeSeriesService(redis);
            }
            return GlobalTimeSeriesService.instance;
        });
    }
}
exports.GlobalTimeSeriesService = GlobalTimeSeriesService;
GlobalTimeSeriesService.instance = null;
//# sourceMappingURL=global-time-series.service.js.map