import { TQueueParams, TQueueSettings } from 'redis-smq/dist/types';
import { DeleteQueueRequestDTO } from '../controllers/api/namespaces/queue/delete-queue/delete-queue.request.DTO';
import { GetNamespaceQueuesRequestDTO } from '../controllers/api/namespaces/get-namespace-queues/get-namespace-queues.request.DTO';
import { DeleteNamespaceRequestDTO } from '../controllers/api/namespaces/delete-namespace/delete-namespace.request.DTO';
import { SetRateLimitRequestDTO } from '../controllers/api/namespaces/queue/rate-limiting/set-rate-limit/set-rate-limit.request.DTO';
import { ClearRateLimitRequestDTO } from '../controllers/api/namespaces/queue/rate-limiting/clear-rate-limit/clear-rate-limit.request.DTO';
import { GetRateLimitRequestDTO } from '../controllers/api/namespaces/queue/rate-limiting/get-rate-limit/get-rate-limit.request.DTO';
import { QueueManager } from 'redis-smq';
import { TRegistry } from '../lib/registry';
import { CreateQueueRequestDTO } from '../controllers/api/queues/create-queue/create-queue.request.DTO';
export declare class QueuesService {
    protected static instance: QueuesService | null;
    protected queue: {
        createAsync: (queue: string | TQueueParams, priorityQueuing: boolean) => Promise<{
            queue: TQueueParams;
            settings: TQueueSettings;
        }>;
        getSettingsAsync: (queue: string | TQueueParams) => Promise<TQueueSettings>;
        existsAsync: ((queue: string | TQueueParams) => Promise<false>) | ((queue: string | TQueueParams) => Promise<true>);
        listAsync: () => Promise<TQueueParams[]>;
        deleteAsync: (queue: string | TQueueParams) => Promise<void>;
    } & import("redis-smq/dist/src/lib/queue-manager/queue").Queue;
    protected namespace: {
        listAsync: () => Promise<string[]>;
        getQueuesAsync: (namespace: string) => Promise<TQueueParams[]>;
        deleteAsync: (ns: string) => Promise<void>;
    } & import("redis-smq/dist/src/lib/queue-manager/namespace").Namespace;
    protected queueRateLimit: {
        clearAsync: (queue: string | TQueueParams) => Promise<void>;
        setAsync: (queue: string | TQueueParams, rateLimit: import("redis-smq/dist/types").TQueueRateLimit) => Promise<void>;
        getAsync: ((queue: string | TQueueParams) => Promise<null>) | ((queue: string | TQueueParams) => Promise<import("redis-smq/dist/types").TQueueRateLimit>);
    } & import("redis-smq/dist/src/lib/queue-manager/queue-rate-limit").QueueRateLimit;
    protected constructor(queueManager: QueueManager);
    getNamespaces(): Promise<string[]>;
    createQueue(args: CreateQueueRequestDTO): Promise<{
        queue: TQueueParams;
        settings: TQueueSettings;
    }>;
    getNamespaceQueues(args: GetNamespaceQueuesRequestDTO): Promise<TQueueParams[]>;
    deleteNamespace(args: DeleteNamespaceRequestDTO): Promise<void>;
    getQueues(): Promise<TQueueParams[]>;
    deleteQueue(args: DeleteQueueRequestDTO): Promise<void>;
    setQueueRateLimit(args: SetRateLimitRequestDTO): Promise<void>;
    clearQueueRateLimit(args: ClearRateLimitRequestDTO): Promise<void>;
    getQueueRateLimit(args: GetRateLimitRequestDTO): Promise<import("redis-smq/dist/types").TQueueRateLimit | null>;
    static getInstance(registry: TRegistry): Promise<QueuesService>;
}
