"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebsocketHeartbeatStreamWorker = void 0;
const redis_smq_common_1 = require("redis-smq-common");
const redis_smq_1 = require("redis-smq");
class WebsocketHeartbeatStreamWorker extends redis_smq_common_1.Worker {
    constructor(redisClient, managed) {
        super(managed);
        this.work = (cb) => {
            const onlineIds = {
                consumers: [],
            };
            redis_smq_1.Consumer.getConsumerHeartbeats(this.redisClient, (err, reply) => {
                if (err)
                    cb(err);
                else {
                    redis_smq_common_1.async.each(reply !== null && reply !== void 0 ? reply : [], (item, _, done) => {
                        onlineIds.consumers.push(item.consumerId);
                        this.redisClient.publish(`streamConsumerHeartbeat:${item.consumerId}`, item.payload, () => done());
                    }, () => {
                        this.redisClient.publish(`streamHeartbeatOnlineIds`, JSON.stringify(onlineIds), () => cb());
                    });
                }
            });
        };
        this.redisClient = redisClient;
    }
}
exports.WebsocketHeartbeatStreamWorker = WebsocketHeartbeatStreamWorker;
exports.default = WebsocketHeartbeatStreamWorker;
//# sourceMappingURL=websocket-heartbeat-stream.worker.js.map