import { TQueueParams, TQueueSettings } from 'redis-smq/dist/types';
import { TWebsocketMainStreamPayload, TWebsocketMainStreamPayloadQueue } from '../../types';
import { RedisClient, Worker } from 'redis-smq-common';
import { ICallback } from 'redis-smq-common/dist/types';
import { MessageManager, QueueManager } from 'redis-smq';
export declare class WebsocketMainStreamWorker extends Worker {
    protected data: TWebsocketMainStreamPayload;
    protected queueManager: QueueManager;
    protected messageManager: MessageManager;
    protected redisClient: RedisClient;
    constructor(redisClient: RedisClient, messageManager: MessageManager, queueManager: QueueManager, managed: boolean);
    protected addQueue: (queue: TQueueParams, settings: TQueueSettings) => TWebsocketMainStreamPayloadQueue;
    protected getQueueSize: (queues: TQueueParams[], cb: ICallback<void>) => void;
    protected getQueues: (cb: ICallback<TQueueParams[]>) => void;
    protected countScheduledMessages: (cb: ICallback<void>) => void;
    protected countQueueConsumers: (queue: TQueueParams, cb: ICallback<void>) => void;
    protected updateOnlineInstances: (cb: ICallback<void>) => void;
    protected publish: (cb: ICallback<void>) => void;
    protected reset: () => void;
    work: (cb: ICallback<void>) => void;
}
export default WebsocketMainStreamWorker;
