"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebsocketOnlineStreamWorker = void 0;
const redis_smq_1 = require("redis-smq");
const redis_smq_common_1 = require("redis-smq-common");
class WebsocketOnlineStreamWorker extends redis_smq_common_1.Worker {
    constructor(redisClient, queueManager, managed) {
        super(managed);
        this.work = (cb) => {
            redis_smq_common_1.async.waterfall([
                (cb) => this.queueManager.queue.list(cb),
                (queues, done) => {
                    redis_smq_common_1.async.each(queues, (item, _, done) => {
                        redis_smq_1.Consumer.getOnlineConsumers(this.redisClient, item, false, (err, reply) => {
                            if (err)
                                done(err);
                            else {
                                this.redisClient.publish(`streamOnlineQueueConsumers:${item.ns}:${item.name}`, JSON.stringify(reply !== null && reply !== void 0 ? reply : {}), () => done());
                            }
                        });
                    }, done);
                },
            ], cb);
        };
        this.queueManager = queueManager;
        this.redisClient = redisClient;
    }
}
exports.WebsocketOnlineStreamWorker = WebsocketOnlineStreamWorker;
exports.default = WebsocketOnlineStreamWorker;
//# sourceMappingURL=websocket-online-stream.worker.js.map