import { ServerOptions } from 'socket.io';
import { IConfig, TQueueRateLimit } from 'redis-smq/dist/types';
export declare type TServerConfig = {
    port?: number;
    host?: string;
    socketOpts?: ServerOptions;
    basePath?: string;
};
export declare type TConfig = IConfig & {
    server?: TServerConfig;
};
export declare type TWebsocketHeartbeatOnlineIdsStreamPayload = {
    consumers: string[];
};
export declare type TWebsocketMainStreamPayload = {
    scheduledMessagesCount: number;
    queuesCount: number;
    deadLetteredMessagesCount: number;
    acknowledgedMessagesCount: number;
    pendingMessagesCount: number;
    consumersCount: number;
    queues: {
        [ns: string]: {
            [queueName: string]: TWebsocketMainStreamPayloadQueue;
        };
    };
};
export declare type TWebsocketMainStreamPayloadQueue = {
    ns: string;
    name: string;
    priorityQueuing: boolean;
    rateLimit: TQueueRateLimit | null;
    deadLetteredMessagesCount: number;
    acknowledgedMessagesCount: number;
    pendingMessagesCount: number;
    consumersCount: number;
};
export declare type TTimeSeriesRange = ITimeSeriesRangeItem[];
export interface ITimeSeriesRangeItem {
    timestamp: number;
    value: number;
}
export declare type TMessageRateFields = Record<string, any>;
export interface IConsumerMessageRateFields extends TMessageRateFields {
    acknowledgedRate: number;
    deadLetteredRate: number;
}
export interface IProducerMessageRateFields extends TMessageRateFields {
    publishedRate: number;
    queuePublishedRate: Record<string, number>;
}
export declare type TTimeSeriesParams = {
    key: string;
    expireAfterInSeconds?: number;
    retentionTimeInSeconds?: number;
    windowSizeInSeconds?: number;
};
export interface IHashTimeSeriesParams extends TTimeSeriesParams {
    indexKey: string;
}
